com.verisign.epp.codec.domain

## Class EPPDomainCheckResp

- java.lang.Object
- - com.verisign.epp.codec.gen.EPPResponse
  - - com.verisign.epp.codec.domain.EPPDomainCheckResp

- All Implemented Interfaces:
    EPPCodecComponent, EPPMessage, java.io.Serializable, java.lang.Cloneable

      public class EPPDomainCheckResp
      extends EPPResponse

  Represents an EPP Domain <domain:chkData> response to a `EPPDomainCheckCmd`. When a <check> command has been processed successfully, the EPP <resData> element MUST contain a child <domain:chkData> element that identifies the domain namespace and the location of the domain schema. The <domain:chkData> elements that contain the following child elements:
  - A <domain:name> element that contains the fully qualified name of the queried domain object. This element MUST contain an "avail" attribute whose value indicates object availability at the moment the <check> command was completed. A value of "1" or "true" menas that the object is availabe. A value of "0" or "false" means that the object is not available.
  - An OPTIONAL <domain:reason> element that MAY be provided when an object is not available for provisioning. If present, this element contains server-specific text to help explain why the object is unavailable. This text MUST be represented in the response language previously negotiated with the client; an OPTIONAL "lang" attribute MAY be present to identify the language if the negotiated value is something other that a default value of "en" (English).
  See Also:
    `EPPDomainCheckCmd`, `EPPDomainCheckResult`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` XML local name for `EPPDomainCheckResp`.
    `static java.lang.String` | `ELM_NAME` XML Element Name of `EPPDomainCheckResp` root element.

    - ### Fields inherited from class com.verisign.epp.codec.gen.EPPResponse

      `extensions, TRANSFER_CLIENT_APPROVED, TRANSFER_CLIENT_CANCELLED, TRANSFER_CLIENT_REJECTED, TRANSFER_PENDING, TRANSFER_SERVER_APPROVED, TRANSFER_SERVER_CANCELLED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPDomainCheckResp()` `EPPDomainCheckResp` default constructor.
    `EPPDomainCheckResp(EPPTransId aTransId)` `EPPDomainCheckResp` constructor that sets the transaction identifier.
    `EPPDomainCheckResp(EPPTransId aTransId, EPPDomainCheckResult aResult)` `EPPDomainCheckResp` constructor that will set the result of an individual domain.
    `EPPDomainCheckResp(EPPTransId aTransId, java.util.Vector someResults)` `EPPDomainCheckResp` constructor that will set the result of multiple domains.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addResult(EPPDomainCheckResult aResult)` Adds a result to the list of check results.
    `java.lang.Object` | `clone()` Clone `EPPDomainCheckResp`.
    `protected void` | `doDecode(org.w3c.dom.Element aElement)` Decode the `EPPDomainCheckResp` attributes from the aElement DOM Element tree.
    `protected org.w3c.dom.Element` | `doEncode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPDomainCheckResp` instance.
    `boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPDomainCheckResp` with this instance.
    `java.util.Vector` | `getCheckResults()` Get the results of a `EPPDomainCheckResp` Response.
    `java.lang.String` | `getNamespace()` Get the EPP command Namespace associated with `EPPDomainCheckResp`.
    `java.lang.String` | `getType()` Get the EPP response type associated with `EPPDomainCheckResp`.
    `void` | `setCheckResults(java.util.Vector aResults)` Set the results of a `EPPDomainCheckResp` Response.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPResponse

      `addExtension, decode, encode, findDuplicateExtNamespaces, getExtension, getExtension, getExtensions, getMessageQueue, getMsgQueue, getMsgQueueCount, getMsgQueueDate, getMsgQueueMsg, getQDate, getResult, getResults, getTransId, hasExtension, hasExtensions, hasMessageQueue, hasMsgQueue, hasResultCode, isSuccess, setExtension, setExtensions, setMsgQueue, setResult, setResult, setResult, setResult, setResults, setTransId`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      XML local name for `EPPDomainCheckResp`.
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML Element Name of `EPPDomainCheckResp` root element.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPDomainCheckResp

          public EPPDomainCheckResp()

      `EPPDomainCheckResp` default constructor. It will set results attribute to an empty `Vector`.

    - #### EPPDomainCheckResp

          public EPPDomainCheckResp(EPPTransId aTransId)

      `EPPDomainCheckResp` constructor that sets the transaction identifier.
      Parameters:
        `aTransId` - Transaction Id associated with response.

    - #### EPPDomainCheckResp

          public EPPDomainCheckResp(EPPTransId aTransId,
                                    EPPDomainCheckResult aResult)

      `EPPDomainCheckResp` constructor that will set the result of an individual domain.
      Parameters:
        `aTransId` - Transaction Id associated with response.
        `aResult` - Result of a single domain name.

    - #### EPPDomainCheckResp

          public EPPDomainCheckResp(EPPTransId aTransId,
                                    java.util.Vector someResults)

      `EPPDomainCheckResp` constructor that will set the result of multiple domains.
      Parameters:
        `aTransId` - Transaction Id associated with response.
        `someResults` - Vector of EPPDomainCheckResult instances.

  - ### Method Detail

    - #### getType

          public java.lang.String getType()

      Get the EPP response type associated with `EPPDomainCheckResp`.
      Overrides:
        `getType` in class `EPPResponse`
      Returns:
        EPPDomainCheckResp.ELM_NAME

    - #### getNamespace

          public java.lang.String getNamespace()

      Get the EPP command Namespace associated with `EPPDomainCheckResp`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Specified by:
        `getNamespace` in interface `EPPMessage`
      Overrides:
        `getNamespace` in class `EPPResponse`
      Returns:
        `EPPDomainMapFactory.NS`

    - #### equals

          public boolean equals(java.lang.Object aObject)

      Compare an instance of `EPPDomainCheckResp` with this instance.
      Overrides:
        `equals` in class `EPPResponse`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        `true` if equal; `false` otherwise.

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPDomainCheckResp`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `EPPResponse`
      Returns:
        clone of `EPPDomainCheckResp`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `EPPResponse`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### addResult

          public void addResult(EPPDomainCheckResult aResult)

      Adds a result to the list of check results.
      Parameters:
        `aResult` - Result to add.

    - #### setCheckResults

          public void setCheckResults(java.util.Vector aResults)

      Set the results of a `EPPDomainCheckResp` Response. There is one `EPPDomainCheckResult` instance in `someResults` for each domain requested in the `EPPDomainCheckCmd` Command.
      Parameters:
        `aResults` - Vector of `EPPDomainCheckResult` instances.

    - #### getCheckResults

          public java.util.Vector getCheckResults()

      Get the results of a `EPPDomainCheckResp` Response. There is one `EPPDomainCheckResult` instance in `someResults` for each domain requested in the `EPPDomainCheckResult` Command.
      Returns:
        `Vector` of `EPPDomainCheckResult` instances.

    - #### doEncode

          protected org.w3c.dom.Element doEncode(org.w3c.dom.Document aDocument)
                                          throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPDomainCheckResp` instance.
      Overrides:
        `doEncode` in class `EPPResponse`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element Root DOM Element representing the `EPPDomainCheckResp` instance.
      Throws:
        `EPPEncodeException` - Unable to encode `EPPDomainCheckResp` instance.

    - #### doDecode

          protected void doDecode(org.w3c.dom.Element aElement)
                           throws EPPDecodeException

      Decode the `EPPDomainCheckResp` attributes from the aElement DOM Element tree.
      Overrides:
        `doDecode` in class `EPPResponse`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPDomainCheckResp` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement